Bug 21930 - Typo in the manage_circ_rules_from_any_libraries description
Summary: Typo in the manage_circ_rules_from_any_libraries description
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jack
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 22149
  Show dependency treegraph
 
Reported: 2018-11-30 22:51 UTC by Caroline Cyr La Rose
Modified: 2019-02-12 15:28 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
BUG 21930: Reworded message on permissions.inc (2.11 KB, patch)
2019-01-15 03:36 UTC, Jack
Details | Diff | Splinter Review
BUG 21930: Reworded message on permissions.inc (2.16 KB, patch)
2019-01-15 10:44 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21930: Reworded message on permissions.inc (2.22 KB, patch)
2019-01-16 20:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-11-30 22:51:02 UTC
Remove the "the" in the description

If not set the logged in user could only edit circulation rules for its *the* own library (please note that manage_circ_rules is still required)
Comment 1 Katrin Fischer 2018-12-06 10:25:08 UTC
I'd also rephrase it a bit, suggestion:

any libraries = any library
from its own library = their own library

Manage circulation rules form any library. If not set the logged in user can
only edit circulation rules from their own library (please note that
manage_circ_rules is still required).
Comment 2 Jack 2019-01-15 03:36:18 UTC
Created attachment 83930 [details] [review]
BUG 21930: Reworded message on permissions.inc

1. Go to patrons account, more, Set Permissions.
2. Dropdown the Parameters section.
3. Text should display "If not set the logged in user could only edit
circulation rules for its the own library (please note that
        manage_circ_rules is still required)"
4. Apply patch and reload page
5. Text should now display "Edit circulation rules from any library. If
not set the logged in user could only edit circulation rules for their
own library (please note that manage_circ_rules is still required)"
Comment 3 David Nind 2019-01-15 10:36:19 UTC
To check the current and updated wording:
1. Go to the Patrons screen
2. Search or browse for a patron
3. Click on the link for the patron's name in the Name column (result: should end on the details screen for the patron)
4. From the buttons above the patron name select More > Set permissions
5. Expand the list of options under (parameters) Manage Koha system settings (Administration panel)

(Note: I've only added this as I'm not familiar with the patrons area and it took me ages to find where this was ...)
Comment 4 David Nind 2019-01-15 10:44:08 UTC
Note: I prefer Katrin's wording, but I don't know whether I understand what exactly is required for the wording, except to remove 'the':

"Manage circulation rules from any library. If not set the logged in user can
only edit circulation rules from their own library (please note that
manage_circ_rules is still required)."

Should 'from' in both occurences be 'for'?
Comment 5 ByWater Sandboxes 2019-01-15 10:44:45 UTC
Created attachment 83942 [details] [review]
BUG 21930: Reworded message on permissions.inc

1. Go to patrons account, more, Set Permissions.
2. Dropdown the Parameters section.
3. Text should display "If not set the logged in user could only edit
circulation rules for its the own library (please note that
        manage_circ_rules is still required)"
4. Apply patch and reload page
5. Text should now display "Edit circulation rules from any library. If
not set the logged in user could only edit circulation rules for their
own library (please note that manage_circ_rules is still required)"

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2019-01-16 20:24:10 UTC
Created attachment 84084 [details] [review]
Bug 21930: Reworded message on permissions.inc

1. Go to patrons account, more, Set Permissions.
2. Dropdown the Parameters section.
3. Text should display "If not set the logged in user could only edit
circulation rules for its the own library (please note that
        manage_circ_rules is still required)"
4. Apply patch and reload page
5. Text should now display "Edit circulation rules from any library. If
not set the logged in user could only edit circulation rules for their
own library (please note that manage_circ_rules is still required)"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Aleisha Amohia 2019-01-16 23:01:57 UTC
(In reply to David Nind from comment #4)
> Note: I prefer Katrin's wording, but I don't know whether I understand what
> exactly is required for the wording, except to remove 'the':
> 
> "Manage circulation rules from any library. If not set the logged in user can
> only edit circulation rules from their own library (please note that
> manage_circ_rules is still required)."
> 
> Should 'from' in both occurences be 'for'?

I have made Bug 22149 for this to be fixed.
Comment 8 Nick Clemens 2019-01-28 14:14:59 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-02-01 13:03:43 UTC
Pushed to 18.11.x for 18.11.03
Comment 10 Jesse Maseto 2019-02-06 18:06:09 UTC
Pushed to 18.05.x for 18.05.09
Comment 11 Fridolin SOMERS 2019-02-12 15:28:01 UTC
I prefer not push to 17.11.x to avoid translation work